Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class StartEndSeparator

    java.lang.Object
      com.servingxml.components.flatfile.options.StartEndSeparator

All Implemented Interfaces:
  Separator

    public class StartEndSeparator

extends java.lang.Object
implements Separator

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.Separator
`EMPTY_ARRAY, WHITESPACE`

Constructor Summary
`StartEndSeparator(java.lang.String startValue, java.lang.String endValue)`

Method Summary
`DelimiterCharChecker` | `createCharDelimiterChecker()`
`DelimiterByteChecker` | `createDelimiterChecker(java.nio.charset.Charset charset)`
`boolean` | `equalsString(java.lang.String s)`
`boolean` | `isEmpty()`
`boolean` | `occursIn(java.lang.String s)`
`java.lang.String` | `toString()`
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeEndDelimiterTo(java.lang.StringBuilder buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartEndSeparator

    public StartEndSeparator(java.lang.String startValue,
                             java.lang.String endValue)

Method Detail

### occursIn

    public boolean occursIn(java.lang.String s)

  Specified by:
    `occursIn` in interface `Separator`

### createDelimiterChecker

    public DelimiterByteChecker createDelimiterChecker(java.nio.charset.Charset charset)

  Specified by:
    `createDelimiterChecker` in interface `Separator`

### createCharDelimiterChecker

    public DelimiterCharChecker createCharDelimiterChecker()

  Specified by:
    `createCharDelimiterChecker` in interface `Separator`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Separator`

### equalsString

    public boolean equalsString(java.lang.String s)

  Specified by:
    `equalsString` in interface `Separator`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(java.lang.StringBuilder buf)

  Specified by:
    `writeEndDelimiterTo` in interface `Separator`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(RecordOutput recordOutput)

  Specified by:
    `writeEndDelimiterTo` in interface `Separator`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD